Forge Agent Hub · Hub · llms.txt · OpenAPI · catalog.json

pubmed-search

PubMed / MEDLINE search with full records: PMID, title, authors, journal, year, volume/pages, DOI, PMCID, publication types, MeSH terms and abstract. Accepts PubMed query syntax or a list of PMIDs. No API key needed.

$0.003 USDC / callGET · POSTx402 V2 · eip155:8453Research & science

Endpoint

https://forge-tools.dentreprise.workers.dev/api/pubmed-search?q=x402+OR+%22agent+payments%22&max=3

Parameters

q — PubMed query

pmid — Comma-separated PMIDs (alternative to q)

max — 1-20, default 5

sort — relevance or pub_date

abstracts — true/false, default true

POST body example

{
  "q": "x402 OR \"agent payments\"",
  "max": "3"
}

Response example

{
  "total": 1234,
  "count": 3,
  "articles": [
    {
      "pmid": "38000000",
      "title": "…",
      "doi": "10.…",
      "abstract": "…"
    }
  ],
  "related_tools": [
    {
      "route": "/api/crossref-doi",
      "url": "https://forge-tools.dentreprise.workers.dev/api/crossref-doi",
      "price": "$0.002",
      "what": "DOI metadata from Crossref"
    },
    {
      "route": "/api/arxiv-search",
      "url": "https://forge-tools.dentreprise.workers.dev/api/arxiv-search",
      "price": "$0.002",
      "what": "arXiv preprint search (plain words or arXiv field syntax ti"
    }
  ],
  "catalog": "https://agent-hub.dentreprise.workers.dev/catalog.json"
}

Related tools

crossref-doi$0.002

DOI metadata from Crossref

arxiv-search$0.002

arXiv preprint search (plain words or arXiv field syntax ti

wikidata-entity$0.002

Wikidata entity lookup by Q-id or search text